Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025136
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2013-11-12 12:592013-12-18 11:41
ReportersureshbabuView Statuspublic 
Assigned Toshankarb 
PrioritynormalResolutionfixedFixed in Version3.0MP31
StatusclosedFix in branchpiFixed in SCM revision0ca986e840a2
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025136: Linked items navigation not working as expected (3d level subtab)

DescriptionLinked items navigation not working as expected at 3d level subtab
Steps To ReproduceSwitch role to System Admin
Open Moule window
Select core
Open linked items section
Select Application Dictionary || Windows, Tabs, and Fields - Field
Navigate to any field
Switch to grid field

Expected results:

Field grid should be filtered
Tab grid should be filtered
Window grid should be filtered

Actual results:


In the Field grid records not filtered but the respective record is selected
In the Tab grid records not filtered but the respective record is selected
In the Window grid records not filtered but the respective record is selected
TagsNo tags attached.
Attached Filesdiff file icon Fix25161-25159-25136.diff [^] (4,046 bytes) 2013-11-28 10:15 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00251613.0MP31 closedshankarb Alert Management window's link's bad performance 

-  Notes
(0062395)
shankarb (developer)
2013-11-27 09:57

Modification done in openDirectTab:

* Added a new parameter direct that would enable only to fetch the particular record alone.
* By default it is set to true if recordId argument is present.
* If all data needs to be fetched, the argument should be passed as false.

Before the fix, even if the recordId was passed, all the records of the grid will be fetched, but the record provided will be shown. After the fix, if the recordId is passed, only that particular record is filtered and fetched.

To revert back to the original scenario, the argument 'direct' has to be set to false. This will again fetch all the records of the grid and select the record passed.
(0062546)
shankarb (developer)
2013-12-05 08:14

Repository: erp/devel/pi
Changeset: 0ca986e840a24c89b4b5de3af108ac74f90deabf
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Thu Nov 28 14:43:09 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/0ca986e840a24c89b4b5de3af108ac74f90deabf [^] [^]

Fixes Issue 25161,25159,25136 : openDirectTab and openView optimization

Modifications in OB.Utilities.openDirectTab
* Added a new parameter direct that would enable only to fetch the particular record alone.
* By default it is set to true if recordId argument is present.
* If all data needs to be fetched, the argument should be passed as false.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
---
(0062771)
AugustoMauch (developer)
2013-12-18 11:41

Code reviewed and verified in pi@469ba15fbba3

- Issue History
Date Modified Username Field Change
2013-11-12 12:59 sureshbabu New Issue
2013-11-12 12:59 sureshbabu Assigned To => alostale
2013-11-12 12:59 sureshbabu Modules => Core
2013-11-12 12:59 sureshbabu Triggers an Emergency Pack => No
2013-11-26 11:53 alostale Relationship added related to 0025161
2013-11-27 06:11 shankarb File Added: Fix25161-25159-25136.diff
2013-11-27 09:57 shankarb Note Added: 0062395
2013-11-28 10:15 shankarb File Deleted: Fix25161-25159-25136.diff
2013-11-28 10:15 shankarb File Added: Fix25161-25159-25136.diff
2013-12-05 08:05 shankarb Assigned To alostale => shankarb
2013-12-05 08:05 shankarb Issue Monitored: AugustoMauch
2013-12-05 08:10 shankarb Review Assigned To => AugustoMauch
2013-12-05 08:13 shankarb Status new => scheduled
2013-12-05 08:13 shankarb fix_in_branch => pi
2013-12-05 08:14 shankarb Note Added: 0062546
2013-12-05 08:14 shankarb Status scheduled => resolved
2013-12-05 08:14 shankarb Fixed in Version => pi
2013-12-05 08:14 shankarb Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/0ca986e840a2 [^]
2013-12-05 08:14 shankarb Resolution open => fixed
2013-12-18 11:41 AugustoMauch Note Added: 0062771
2013-12-18 11:41 AugustoMauch Status resolved => closed
2013-12-18 11:41 AugustoMauch Fixed in Version pi => 3.0MP31


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker